var jPhidget22 = require('phidget22');

var SERVER_PORT = 5661;

function main() {

	if (process.argv.length != 3) {
		console.log('usage: node Accelerometer.js <server address>');
		process.exit(1);
	}

	var url = 'phid://' + process.argv[2] + ':' + SERVER_PORT;

	console.log('connecting to:' + url);
	var conn = new jPhidget22.Connection(url, { name: 'Server Connection', passwd: '' });
	conn.connect()
	  .then(runExample)
	  .catch(function (err) {
	  	console.log('Error running example:' + err);
		process.exit(1);
	  });
}

function runExample() {

	var ch = new jPhidget22.Accelerometer();

	ch.onAttach = function(ch) {
		console.log(ch + ' attached');
		console.log('Min Acceleration:' + ch.getMinAcceleration());
		console.log('Max Acceleration:' + ch.getMaxAcceleration());
	};

	ch.onDetach = function(ch) {
		console.log(ch + ' detached');
	};

	ch.onAccelerationChange = function (acc, timestamp) {
		var gacc = this.getAcceleration();
        console.log('acc x:' + acc[0] + ' (' + gacc[0] + ')' +
		  ' y:' + acc[1] + '(' + gacc[1] + ') z:' + acc[2] + ' (' + gacc[2] + ')');
		console.log('timestamp: ' + timestamp);
		console.log('');
	};

	ch.open().then(function (ch) {
		console.log('channel open');
	}).catch(function (err) {
		console.log('failed to open the channel:' + err);
	});
}

if (require.main === module)
	main();
